%define	name	perl-Digest-HMAC
%define	real_name Digest-HMAC
%define	version	1.01
%define	release	12mdk

Summary:	Keyed-Hashing for Message Authentication
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/GAAS/%{real_name}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	perl-HMAC
Requires:	perl perl-Digest-SHA1

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Digest

%changelog
* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.01-12mdk
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-11mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-10mdk
- rebuild for new auto{prov,req}

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-9mdk
- rebuild with new perl 5.8.0
- install in vendor_perl

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-7mdk
- should be noarch

* Mon Nov 12 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-6mdk
- Remove Distribution tag.
- Rebuild to fix no-url-tag and invalid-packager warnings.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.01-5mdk
- BuildRequires: perl-devel perl-Digest-MD5

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-4mdk
- Make rpmlint happier.

* Sun Jun 24 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-3mdk
- Clean the file list (to build a good cpio). Thanx to Brian.

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-2mdk
- Added a make test for compilation
- Fixed a typo in the changelog's date.
- Added a Require for perl-Digest-SHA1.

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-1mdk
- First release, was in perl-Digest-MD5 package before.
